function [prior] = prior (number,first_gen)
gamma=rand(number, first_gen);
for i=1:number
    if gamma(i)>=0 && gamma(i)<0.125
        prior(i)=0;
    elseif gamma(i)>=0.125 && gamma(i)<0.265
        prior(i)=1;
    elseif gamma(i)>=0.265 && gamma(i)<0.43
        prior(i)=2;
    elseif gamma(i)>=0.43 && gamma(i)<0.605
        prior(i)=3;
    elseif gamma(i)>=0.605 && gamma(i)<0.79
        prior(i)=4;
    elseif gamma(i)>=0.79 && gamma(i)<=1
        prior(i)=5;
    end;
end;
% %Вычисление мат ожидания
% mat_ogid=0;
% for i=1:number
%     mat_ogid = mat_ogid+prior(i);
% end;
% mat_ogid = mat_ogid/number
% %Вычисление мат ожидания по формуле
% mean(prior)
% %Вычисление оценки дисперсии
% temp=0;
% for i=1:number
%     temp = temp + (prior(i) - mat_ogid)^2;
% end;
% dispersiya = temp/(number-1)
% %Вычисление дисперсии по формуле Mathlab
% var(prior)
% %Оценка ковариационной функции
% kovariaz=0;
% for j=1:number-1
%     kovariaz(j)=0;
%     for i=1:number-j
%         kovariaz(j) = kovariaz(j) + (prior(i)-mat_ogid)*(prior(i+j)-mat_ogid);
%     end;
%     kovariaz(j) = kovariaz(j)/(number-j);
% end;
% %Оценка корреляционной функции
% for j=1:number-1
%     ro(j) = kovariaz(j)/dispersiya;
% end;
% subplot(2,2,1);plot(1:20,ro(1:20),'*');
% subplot(2,2,2);plot(prior(1:number-1),prior(2:number),'*');
% k=1;
% dx=0.01;
% chastot =[0,0,0,0,0,0];
% for i=1:number
%     if prior(i)==0
%         chastot(1)=chastot(1)+1;
%     elseif prior(i)==1
%         chastot(2)=chastot(2)+1;
%     elseif prior(i)==2
%         chastot(3)=chastot(3)+1;
%     elseif prior(i)==3
%         chastot(4)=chastot(4)+1;
%     elseif prior(i)==4
%         chastot(5)=chastot(5)+1;
%     elseif prior(i)==5
%         chastot(6)=chastot(6)+1;
%     end;
% end;
% chastot=chastot./number
% subplot(2,2,3);bar(1:6,chastot);

return;